package com.caimei.www.mapper;

import com.caimei.www.pojo.page.PageFloor;
import com.caimei.www.pojo.page.ImageLink;
import com.caimei.www.pojo.page.ProductList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/6/22
 */
@Mapper
public interface HomeDao {
    /**
     * 首页楼层
     */
    List<PageFloor> getHomePageFloor();
    /**
     * 大专题二级楼层
     */
    List<PageFloor> getHomeBigTopicFloor();
    /**
     * 首页轮播图
     */
    List<ImageLink> getHomeBanners();
    /**
     * 首页左侧广告图
     */
    List<ImageLink> getAdvertising();
    /**
     * 首页推荐专区
     */
    List<ProductList> getRecommendeds();
    /**
     * type6大专题数据列表
     */
    List<ImageLink> getBigTopicData(@Param("topId") Integer topId);
    /**
     * type4商品专题
     */
    List<ImageLink> getCommodityTopicData();
    /**
     * type5小专题
     */
    List<ImageLink> getSmallTopicData();
    /**
     * type3优质供应商
     */
    List<ImageLink> getSuppliersTopData();

}
